Guide /

Installazione

/

Prerequisiti

Prerequisiti

Piwigo ha bisogno del web hosting per funzionare. Per una soluzione di galleria fotografica "chiavi in ​​mano" (installazione, hosting, aggiornamenti, backup ...), o se vuoi semplicemente provare Piwigo senza installarlo, apri un account con prova gratuita su Piwigo.com .

Requisiti minimi

  • un server web come Apache o Nginx
  • MySQL 5.6+ o MariaDB 10.1+. MySQL 5.0 funziona ma non è più mantenuto ufficialmente.
  • PHP 7.3+. Piwigo può funzionare con PHP 5.3+ ma queste versioni precedenti non sono più ufficialmente supportate e ti espongono a falle di sicurezza. Vedi versioni ufficialmente supportate da PHP .
  • Una libreria grafica: ImageMagick è consigliato per le sue prestazioni e la qualità dell'immagine, ma anche GD, spesso fornito con PHP, può fare il trucco.
  • Per scaricare i file sarà necessario un software client FTP (netinstall o pacchetto completo): il team di Piwigo consiglia FileZilla come software client FTP, poiché è gratuito come Piwigo e compatibile con Windows, Mac e Linux.
  • Abbastanza spazio su disco per le tue foto: oltre alle foto che carichi, Piwigo memorizzerà "più dimensioni" in una directory della cache sul tuo server.

Prerequisiti facoltativi

  • exiftool è richiesto per il plug-in Write Metadata e altri plug-in che manipolano i metadati EXIF ​​/ IPTC
  • ffmpeg è richiesto per il plug-in VideoJS durante la creazione del "poster" (immagine che rappresenta il video)
  • pdftoppm sarà consigliato da Piwigo 2.10 per generare immagini che rappresentano PDF (invece di ImageMagick per questa specifica attività)

Hai ancora delle domande rimaste senza risposta?

Puoi ottenere assistenza sul forum o trovare le risposte nella documentazione